import { Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

export const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab1',
        loadComponent: () =>
          import('../tab1/tab1.page').then((m) => m.Tab1Page),
      },
      {
        path: 'tab2',
        loadComponent: () =>
          import('../tab2/tab2.page').then((m) => m.Tab2Page),
      },
      {
        path: 'tab3',
        loadComponent: () =>
          import('../tab3/tab3.page').then((m) => m.Tab3Page),
      },
      {
        path: 'tab4',
        loadComponent: () =>
          import('../tab4/tab4.page').then((m) => m.Tab4Page),
      },
      {
        path: 'picture',
        loadComponent: () =>
          import('../poem-picture/poem-picture.component').then((m) => m.PoemPictureComponent),
      },
      {
        path: 'inquiry/ai',
        loadComponent: () =>
          import('../page/page-inquiry/page-inquiry.component').then((m) => m.PageInquiryComponent),
      },
      {
        path: 'inquiry/human',
        loadComponent: () =>
          import('../page/inquiry-human/inquiry-human.component').then((m) => m.InquiryHumanComponent),
      },
      {
        path: 'page-test',
        loadComponent: () =>
          import('../page-test/page-test.component').then((m) => m.PageTestComponent),
      },
      {
        path: 'my-health', // 我的健康
        loadComponent: () =>
          import('../page/page-my-health/page-my-health.component').then((m) => m.PageMyHealthComponent),
      },
      {
        path: 'health-records', // 健康档案
        loadComponent: () =>
          import('../page/page-health-records/page-health-records.component').then((m) => m.PageHealthRecordsComponent),
      },
      {
        path: 'drug-purchase', // 药品购买
        loadComponent: () =>
          import('../page/page-drug-purchase/page-drug-purchase.component').then((m) => m.PageDrugPurchaseComponent),
      },
      {
        path: 'authority-experts', // 权威专家
        loadComponent: () =>
          import('../page/page-authority-experts/page-authority-experts.component').then((m) => m.PageAuthorityExpertsComponent),
      },
      {
        path: 'health-information', // 健康资讯
        loadComponent: () =>
          import('../page/page-health-information/page-health-information.component').then((m) => m.PageHealthInformationComponent),
      },
      {
        path: 'phone-inquiry', // 电话咨询
        loadComponent: () =>
          import('../page/page-phone-inquiry/page-phone-inquiry.component').then((m) => m.PagePhoneInquiryComponent),
      },
      {
        path: 'smart-community', // 智慧社区
        loadComponent: () =>
          import('../page/page-smart-community/page-smart-community.component').then((m) => m.PageSmartCommunityComponent),
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },
    ],
  },
  {
    path: '',
    redirectTo: '/tabs/tab1',
    pathMatch: 'full',
  },
];
